Subject: Re: [PATCH bpf] selftests/bpf: enable mptcp before testing

From: Martin KaFai Lau <[email-masked]>
Date: Tue, 14 Feb 2023 11:22:58 -0800

On 2/13/23 7:11 PM, Hangbin Liu wrote:
> On Mon, Feb 13, 2023 at 05:28:19PM +0100, Matthieu Baerts wrote:
>> But again, I'm not totally against that, I'm just saying that if these
>> tests are executed in dedicated netns, this modification is not needed
>> when using a vanilla kernel ;-)
>>
>> Except if I misunderstood and these tests are not executed in dedicated
>> netns?
> 
> I tried on my test machine, it looks the test is executed in init netns.

The new test is needed to run under its own netns whenever possible. The 
existing mptcp test should be changed to run in its own netns also. Then 
changing any pernet sysctl (eg. mptcp.enabled) is a less concern to other tests. 
You can take a look at how other tests doing it (eg. decap_sanity.c).